using System;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] str = Console.ReadLine().Split();

            int[] x = new int[n];
            int[] y = new int[n];
            int[] z = new int[n];

            int br = 0;

            for(int i = 0; i < n; i++)
            {
                x[i] = int.Parse(str[i]);
            }
            str = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                y[i] = int.Parse(str[i]);
            }
            str = Console.ReadLine().Split();
            for(int i = 0; i < n; i++)
            {
                z[i] = int.Parse(str[i]);
            }
            
            for(int i = 0; i < n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    if (x[i] == y[j])
                    {
                        for(int k = 0; k < n; k++)
                        {
                            if (z[k] == j + 1)
                                br++;
                        }
                    }
                }
            }

            Console.WriteLine(br);
        }
    }
}